# Notification Event

## Receive notification

Notification Received Event. An event dispatched when a push  notification is received by a device registered for push notifications.

{% tabs %}
{% tab title="Properties" %}

* **eventName** - `showNotification`
* **viewName** - empty if omitted
* **moduleID** - Notification context
* **moduleName** - Module name, or empty if omitted
* **moduleTitle** - Module title in app config, or empty if omitted
* **streamID** - Notification uuid
* **streamType** - Open Content property name for the concept
* **streamTitle** - Concept headline
* **notificationTitle** - Notification alert title
* **notificationText** - Notification alert body
* **contentID** - Notification uuid
* **contentType** - Linked contentType
  {% endtab %}

{% tab title="Example with article" %}
**Example** - The device receives a manual push notification with a link to open an article if clicked.

* **eventName** - `showNotification`
* **viewName** - &#x20;
* **moduleID** - `topnews`
* **moduleName** - `ContentList`
* **moduleTitle** - `Top News`
* **streamID** - &#x20;
* **streamType** - &#x20;
* **streamTitle** - &#x20;
* **notificationTitle** - &#x20;
* **notificationText** - `Some title\nSome body text goes here`
* **contentID** - `a67d3300-1fa0-4595-ac58-d223d217f12d`
* **contentType** - `article`
  {% endtab %}

{% tab title="Example no link" %}
**Example** - The device receives a manual push notification which does not contain a link to an article (or anything), and does not contain any module info.

* **eventName** - `showNotification`
* **viewName** - &#x20;
* **moduleID** - `global`
* **moduleName** - &#x20;
* **moduleTitle** - &#x20;
* **streamID** - &#x20;
* **streamType** - &#x20;
* **streamTitle** - &#x20;
* **notificationTitle** - &#x20;
* **notificationText** - `Some title\nSome body text goes here`
* **contentID** - &#x20;
* **contentType** - &#x20;
  {% endtab %}

{% tab title="Example edition" %}
**Example** - The device receives a manual push notification for the Editions module about a new Edition.

* **eventName** - `showNotification`
* **viewName** - &#x20;
* **moduleID** - `editions`
* **moduleName** - `ContentList`
* **moduleTitle** - `Editions`
* **streamID** - &#x20;
* **streamType** - &#x20;
* **streamTitle** - &#x20;
* **notificationTitle** - &#x20;
* **notificationText** - `Some title\nSome body text goes here`
* **contentID** - `a67d3300-1fa0-4595-ac58-d223d217f12d`
* **contentType** - `package`
  {% endtab %}

{% tab title="Example auto push" %}
**Example** - The device receives an automatic push notification, from the NearMe module, with a link to an article.

* **eventName** - `showNotification`
* **viewName** - &#x20;
* **moduleID** - `mynews`
* **moduleName** - `NearMe`
* **moduleTitle** - `My News`
* **streamID** - `95d3e986-26b7-4b14-b436-8c79c8645412`
* **streamType** - `ConceptCategoryUuids`
* **streamTitle** - `Crime and Punishment`
* **notificationTitle** - `Some title`
* **notificationText** - &#x20;
* **contentID** - `a67d3300-1fa0-4595-ac58-d223d217f12d`
* **contentType** - `article`
  {% endtab %}
  {% endtabs %}

## Open notification

Notification Opened Event. An event dispatched when a push notification is opened.

{% tabs %}
{% tab title="Properties" %}

* **eventName** - `openNotification`
* **viewName** - empty if omitted
* **moduleID** - Notification context
* **moduleName** - Module name, or empty if omitted
* **moduleTitle** - Module title in app config, or empty if omitted
* **streamID** - Notification uuid
* **streamType** - Open Content property name for the Concept
* **streamTitle** - Concept headline
* **notificationTitle** - Notification alert title
* **notificationText** - Notification alert body
* **contentID** - Notification data body (?)
* **contentType** - Linked contentType
  {% endtab %}

{% tab title="Example with article" %}
**Example** - The device received an automatic push notification with an article. This event triggers when that notification is opened (clicked) and the article will open in a concept stream.

* **eventName** - `openNotification`
* **viewName** - &#x20;
* **moduleID** - `mynews`
* **moduleName** - `NearMe`
* **moduleTitle** - `My News`
* **streamID** - `a5c77d9c-6c4f-4dd7-860a-a155c568a9be`
* **streamType** - `ConceptCategoryUuids`
* **streamTitle** - `Example category`
* **notificationTitle** - `Push notification's title`
* **notificationText** - &#x20;
* **contentID** - `329a8259-93e1-4eb0-bf50-6e73d8732b07` (article uuid)
* **contentType** - `article`
  {% endtab %}

{% tab title="Example with article" %}
**Example** - The device received a manual push notification to open an article, and that notification was opened.

* **eventName** - `openNotification`
* **viewName** - &#x20;
* **moduleID** - `mynews`
* **moduleName** - `NearMe`
* **moduleTitle** - `My News`
* **streamID** - &#x20;
* **streamType** - &#x20;
* **streamTitle** - &#x20;
* **notificationTitle** - `Push notification's title`
* **notificationText** - &#x20;
* **contentID** - `329a8259-93e1-4eb0-bf50-6e73d8732b07` (article UUID)
* **contentType** - `article`
  {% endtab %}
  {% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/mobile/statistics-events/notification-event.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
